package Client;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.AffineTransform;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Point2D;

import Logic.BaseShape;

public class BaseSprite 
{
	public BaseShape mMyShape;
	public Color mColor;

	public void DrawSprite( Graphics2D g2 )
	{
		if( mMyShape.mIsDead )
			return;
		
		Point2D.Float tPosition = mMyShape.GetPosition();
		
		AffineTransform tOld = g2.getTransform();
		
		g2.setColor(mColor);
		g2.translate(tPosition.getX(), tPosition.getY());
		g2.draw(new Ellipse2D.Double(-10, -10, 20, 20));
		
		g2.setTransform(tOld);
	}
}
