package Client;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.util.ArrayList;

import javax.swing.JPanel;

import Logic.BaseShape;

@SuppressWarnings("serial")
public class StarField extends JPanel 
{
	private ArrayList<BaseSprite> mAllSprites = new ArrayList<BaseSprite>();
	
	protected void paintComponent( Graphics g )
	{
		super.paintComponent(g);
		Graphics2D g2 = (Graphics2D)g;
		
		for( BaseSprite tOne: mAllSprites )
			tOne.DrawSprite(g2);
	}

	public void CreateSpriteForShape(BaseShape tNewShape, Color tColor) {
		BaseSprite tNewSprite = new BaseSprite();
		tNewSprite.mMyShape = tNewShape;
		tNewSprite.mColor = tColor;
		mAllSprites.add(tNewSprite);
	}
}
